> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dialect.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Close Position

> Close a position and withdraw all liquidity.



## OpenAPI

````yaml /openapi/orca.json post /v0/pools/positions/{positionAddress}/close-position
openapi: 3.1.1
info:
  title: Orca Blinks API
  version: 0.0.1
servers:
  - url: https://orca.dial.to/api
security: []
paths:
  /v0/pools/positions/{positionAddress}/close-position:
    post:
      tags:
        - Pools
      summary: Close Position
      description: Close a position and withdraw all liquidity.
      operationId: orca.v0.pools.closePosition
      parameters:
        - name: positionAddress
          in: path
          required: true
          schema:
            type: string
            description: The position address
            default: 3D2aguLHQ2r77Si6A7z3MhLY24g7ioj7LQQ7CPPuCuVo
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                type:
                  type: string
                  enum:
                    - transaction
                  default: transaction
                account:
                  type: string
                  description: The public key of the account that executes the transaction
                  default: 6JpNV6DK88auwzKVizdeT4Bw3D44sam5GqjcPCJ7y176
              required:
                - type
                - account
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    const: transaction
                  transaction:
                    type: string
                required:
                  - type
                  - transaction

````